
CREATE VIEW RilPro.vDatiLineeGiornata
AS
  -- Non tiene conto del Turno ma prende tutti gli stampi della giornata
  WITH  cteUltStampo
          AS (
               SELECT CodStampo
                     ,InizioValidita
                     ,ProgFigure
                     ,FineValidita
                     ,NumCommessa
                     ,NumFigure
                     ,CodCliente
                     ,CodArticolo
                     ,Particolare
               FROM   RilPro.StampoArticolo AS A
               WHERE  ( GETDATE() BETWEEN InizioValidita AND FineValidita )
             ),
        cteEspAttivi
          AS (
               SELECT s.CodStampo
                     ,s.Esponente
                     ,s.EspAttivo
                     ,s.DataInserim
                     ,s.DataValidita
               FROM   RilPro.StampoEsponente AS s
               INNER JOIN (
                            SELECT  CodStampo
                                   ,MAX(DataValidita) AS DataValidita
                            FROM    RilPro.StampoEsponente
                            WHERE   ( DataValidita <= GETDATE() )
                                    AND ( EspAttivo = 'S' )
                            GROUP BY CodStampo
                          ) AS s2
               ON     s.CodStampo = s2.CodStampo
                      AND s.DataValidita = s2.DataValidita
             ),
        cteLineeAttive
          AS (
               SELECT CodImpianto
                     ,CodStampo
                     ,NumStampate
                     ,CONVERT(DATETIME, DataInizio) AS DataInizio
                     ,DataFine
                     ,TurnoInizio
                     ,TurnoFine
               FROM   RilPro.LineaStampi
               WHERE  ( DataFine = '99991231' )
             )
  SELECT
          l.CodImpianto
         ,l.CodStampo
         ,l.NumStampate
         ,l.DataInizio
         ,l.TurnoInizio
         ,g.InizioValidita
         ,g.FineValidita
         ,g.NumFigure
         ,CAST(g.CodCliente AS varchar(50)) AS CodCliente
         ,cl.RagSociale
         ,CAST(g.CodArticolo AS varchar(50)) AS CodArticolo
         ,g.Particolare
         ,pa.DescParticolare
         ,pa.DisegnoGrezzo
         ,pa.CodFamiglia
         ,fa.DescFamiglia
         ,fi.Figura
         ,es.Esponente
  FROM    cteLineeAttive AS l
  INNER JOIN cteUltStampo AS g
  ON      l.CodStampo = g.CodStampo
  LEFT OUTER JOIN RilPro.StampoFigure AS fi
  ON      l.CodStampo = fi.CodStampo
  LEFT OUTER JOIN cteEspAttivi AS es
  ON      g.CodStampo = es.CodStampo
  LEFT OUTER JOIN RilPro.AnagParticolari AS pa
  ON      g.Particolare = pa.Particolare
  LEFT OUTER JOIN RilPro.AnagFamiglie AS fa
  ON      pa.CodFamiglia = fa.CodFamiglia
  LEFT OUTER JOIN RilPro.AnagClienti AS cl
  ON      g.CodCliente = cl.CodCliente

GO
EXECUTE sp_addextendedproperty @name = N'MS_DiagramPane1', @value = N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "l"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 198
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "g"
            Begin Extent = 
               Top = 6
               Left = 246
               Bottom = 135
               Right = 421
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "fi"
            Begin Extent = 
               Top = 138
               Left = 38
               Bottom = 250
               Right = 208
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "es"
            Begin Extent = 
               Top = 138
               Left = 246
               Bottom = 267
               Right = 416
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "pa"
            Begin Extent = 
               Top = 252
               Left = 38
               Bottom = 381
               Right = 208
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "fa"
            Begin Extent = 
               Top = 270
               Left = 246
               Bottom = 365
               Right = 416
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "cl"
            Begin Extent = 
               Top = 366
               Left = 246
               Bottom = 461
               Right = 416
            End
            DisplayFlags = 280
            TopColumn = 0
         ', @level0type = N'SCHEMA', @level0name = N'RilPro', @level1type = N'VIEW', @level1name = N'vDatiLineeGiornata';


GO
EXECUTE sp_addextendedproperty @name = N'MS_DiagramPane2', @value = N'End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 19
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
', @level0type = N'SCHEMA', @level0name = N'RilPro', @level1type = N'VIEW', @level1name = N'vDatiLineeGiornata';


GO
EXECUTE sp_addextendedproperty @name = N'MS_DiagramPaneCount', @value = 2, @level0type = N'SCHEMA', @level0name = N'RilPro', @level1type = N'VIEW', @level1name = N'vDatiLineeGiornata';

